{{ define "main" }}
<header>
  <h1>blog@{{ .Site.Title }}</h1>
</header>

{{ range .Paginator.Pages }}
<article>
  <header>
    <h1><a href="{{ .RelPermalink }}">{{ .Title }}</a></h1>
    <div class="postmeta">
      {{ .WordCount }} words or about {{ .ReadingTime }} minute{{ if gt .ReadingTime 1 }}s{{ end }},
      posted on {{ .PublishDate.Format "January 2, 2006" }}.
    </div>
  </header>
  
  <p>
    {{ .Summary }}
  </p>
</article>
{{ end }}

<footer>
  <hr>
  <div>
    Go {{ if gt .Paginator.TotalPages 1 }}to{{ end }}
    {{ if .Paginator.HasPrev }}
    the <a href="{{ .Paginator.Prev.URL }}">previous page</a>{{ if .Paginator.HasNext }},{{ else }} or{{ end }}
    {{ end }}
    {{ if .Paginator.HasNext }}
    the <a href="{{ .Paginator.Next.URL }}">next page</a>{{if .Paginator.HasPrev}},{{ end }} or
    {{ end }}
    back to <a href="/">{{ .Site.Title }}</a>.
  </div>
</footer>
{{ end }}
